Skip to main content
GET
/
users
/
{user_guid}
/
categories
/
{category_guid}
Read a custom category
curl --request GET \
  --url https://int-api.mx.com/users/{user_guid}/categories/{category_guid} \
  --header 'Accept-Version: <accept-version>' \
  --header 'Authorization: Basic <encoded-value>'
{
  "category": {
    "created_at": "2025-02-13T18:08:00+00:00",
    "guid": "CAT-7829f71c-2e8c-afa5-2f55-fa3634b89874",
    "is_default": true,
    "is_income": false,
    "metadata": "some metadata",
    "name": "Auto Insurance",
    "parent_guid": "CAT-7829f71c-2e8c-afa5-2f55-fa3634b89874",
    "updated_at": "2025-02-13T18:09:00+00:00"
  }
}
Use this endpoint to read the attributes of either a default category or a custom category.

Authorizations

Authorization
string
header
required

The MX Platform API requires basic access authentication using your client_id and api_key. These credentials must be Base64 encoded and included in the Authorization header of each API request to ensure secure access.

Here's an example using curl to access v20250224. Replace https://int-api.mx.com/endpoint with the actual API endpoint you wish to access and your Base64 encoded client_id and api_key.

curl -L -X POST `https://int-api.mx.com/endpoint' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Accept-Version: v20250224'
-H 'Authorization: Basic BASE_64_ENCODING_OF{client_id:api_key}'

Headers

Accept-Version
string
default:v20250224
required

MX Platform API version.

Example:

"v20250224"

Path Parameters

category_guid
string
required

The unique id for a category.

Example:

"CAT-7829f71c-2e8c-afa5-2f55-fa3634b89874"

user_guid
string
required

The unique identifier for a user, beginning with the prefix USR-.

Response

200 - application/json

OK

category
object